%     AERO LOAD - программа для нагружения агрегатов самолета распределенной нагрузкой
%     Copyright (C) 2018-2024  Михаил Козлов
%     Сайт проекта: <http://www.fastenerdoctor.ru/>
%     Адрес электронной почты для связи с разработчиком:
%     <doctor.fastener@gmail.com>
% 
%     Эта программа является свободным программным обеспечением: Вы можете
%     распространять ее и/или изменять, соблюдая условия Универсальной общественной
%     лицензии GNU, опубликованной Фондом свободного программного обеспечения,
%     либо редакции 3, либо (на Ваше усмотрение) любой редакции, выпущенной позже.
% 
%     Эта программа распространяется в надежде на то, что она окажется полезной,
%     но БЕЗ КАКИХ-ЛИБО ГАРАНТИЙ, включая даже подразумеваемую гарантию ТОВАРНОЙ ПРИГОДНОСТИ,
%     либо ПРИГОДНОСТИ ДЛЯ ОПРЕДЕЛЕННЫХ ЦЕЛЕЙ. Ознакомьтесь с Универсальной общественной
%     лицензией GNU для получения более подробной информации.
% 
%     Вы должны были получить копию Универсальной общественной лицензии GNU
%     вместе с этой программой. Если Вы ее не получили, то перейдите по адресу:
%     <http://www.gnu.org/licenses/>.
% 
%     This program is free software: you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation, either version 3 of the License, or
%     (at your option) any later version.
% 
%     This program is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <https://www.gnu.org/licenses/>.

function GW_Switch_Day_Night(~,~)

global Graphic_Window_Handle;
global Graphics_Properties;

% Изменение фона окна
Background_Color = get(Graphic_Window_Handle, 'Color');

if (isequal(Background_Color, [0 0 0]))
    set(Graphic_Window_Handle, 'Color', [1 1 1]);
end

if (isequal(Background_Color, [1 1 1]))
    set(Graphic_Window_Handle, 'Color', [0 0 0]);
end

% Изменение фона панели для области построения данных
Panel_Handle = findall(Graphic_Window_Handle, 'Tag', 'Panel_For_Axes');
Background_Color = get(Panel_Handle, 'BackgroundColor');

if (isequal(Background_Color, [0 0 0]))
    set(Panel_Handle, 'BackgroundColor', [1 1 1]);
end

if (isequal(Background_Color, [1 1 1]))
    set(Panel_Handle, 'BackgroundColor', [0 0 0]);
end

% Изменение цвета линий
tmp = findall(Graphic_Window_Handle, 'Type', 'Line');

if (~isempty(tmp))
    
    for i=1:numel(tmp)
        
        Line_Color = get(tmp(i), 'Color');
        
        if (isequal(Line_Color, [0 0 0]))
            set(tmp(i), 'Color', [1 1 1]);
            continue;
        end
        
        if (isequal(Line_Color, [1 1 1]))
            set(tmp(i), 'Color', [0 0 0]);
            continue;
        end
        
    end
    
end

% Изменение цвета текста
tmp = findall(Graphic_Window_Handle, 'Type', 'Text');

if (~isempty(tmp))
    
    for i=1:numel(tmp)
        
        Text_Color = get(tmp(i), 'Color');
        
        if (isequal(Text_Color, [0 0 0]))
            set(tmp(i), 'Color', [1 1 1]);
            continue;
        end
        
        if (isequal(Text_Color, [1 1 1]))
            set(tmp(i), 'Color', [0 0 0]);
            continue;
        end
        
    end
    
end

% Изменение цвета сетки
Background_Color = get(Graphic_Window_Handle, 'Color');

if (isequal(Background_Color, [1 1 1]))
    
    set(findall(Graphic_Window_Handle, 'Tag', 'Mesh'), 'EdgeColor', Graphics_Properties.Element_Edge_Color);
    set(findall(Graphic_Window_Handle, 'Tag', 'Projected_Mesh'), 'EdgeColor', Graphics_Properties.Element_Edge_Color);
    
else
    
    if (get(findall(Graphic_Window_Handle, 'Tag', 'Mesh_Translucency_Slider'), 'Value') < Graphics_Properties.Element_Edge_Color_Threshold)
        set(findall(Graphic_Window_Handle, 'Tag', 'Mesh'), 'EdgeColor', Graphics_Properties.Element_Edge_Color_Bright);
    else
        set(findall(Graphic_Window_Handle, 'Tag', 'Mesh'), 'EdgeColor', Graphics_Properties.Element_Edge_Color);
    end

    if (get(findall(Graphic_Window_Handle, 'Tag', 'Projected_Mesh_Translucency_Slider'), 'Value') < Graphics_Properties.Element_Edge_Color_Threshold)
        set(findall(Graphic_Window_Handle, 'Tag', 'Projected_Mesh'), 'EdgeColor', Graphics_Properties.Element_Edge_Color_Bright);
    else
        set(findall(Graphic_Window_Handle, 'Tag', 'Projected_Mesh'), 'EdgeColor', Graphics_Properties.Element_Edge_Color);
    end
    
end

% Изменение параметров графики
if (isequal(Graphics_Properties.Projected_Chord_Surf_Boundary_Color, uint8([0 0 0])))
    Graphics_Properties.Projected_Chord_Surf_Boundary_Color = uint8([255 255 255]);
else
    if (isequal(Graphics_Properties.Projected_Chord_Surf_Boundary_Color, uint8([255 255 255])))
        Graphics_Properties.Projected_Chord_Surf_Boundary_Color = uint8([0 0 0]);
    end
end

if (isequal(Graphics_Properties.Projected_Chord_Surf_Parametric_Lines_Color, uint8([0 0 0])))
    Graphics_Properties.Projected_Chord_Surf_Parametric_Lines_Color = uint8([255 255 255]);
else
    if (isequal(Graphics_Properties.Projected_Chord_Surf_Parametric_Lines_Color, uint8([255 255 255])))
        Graphics_Properties.Projected_Chord_Surf_Parametric_Lines_Color = uint8([0 0 0]);
    end
end
